Skip to main content
GET
/
registry
/
v1
/
subscriptions
/
human-relay-info
Get consolidated relay info for human-to-agent communication
curl --request GET \
  --url https://api.swarmd.ai/registry/v1/subscriptions/human-relay-info \
  --header 'Authorization: Bearer <token>'
{
  "isValid": true,
  "sourceAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sourceUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sinkAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "validationReason": "<string>",
  "agentInfo": {
    "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "url": "<string>",
    "originalCardUrl": "<string>",
    "preferredTransport": "<string>",
    "protocolVersion": "<string>",
    "agentVersion": "<string>",
    "skills": [
      {
        "skillId": "<string>",
        "name": "<string>",
        "description": "<string>",
        "tags": [
          "<string>"
        ]
      }
    ]
  },
  "authDetails": {
    "authType": "<string>",
    "oauth2": {
      "clientId": "<string>",
      "clientSecret": "<string>",
      "tokenUrl": "<string>",
      "scopes": [
        "<string>"
      ],
      "accessToken": "<string>",
      "tokenExpiresAt": "2023-11-07T05:31:56Z",
      "refreshToken": "<string>"
    },
    "apiKey": {
      "header": "<string>",
      "value": "<string>"
    },
    "bearerToken": "<string>"
  }
}

Authorizations

Authorization
string
header
required

JWT token (USER, AGENT, or SERVICE auth)

Query Parameters

tenantId
string<uuid>
required
sourceUserId
string<uuid>
required
sinkAgentId
string<uuid>
required

Response

200 - */*

OK

isValid
boolean
sourceAgentId
string<uuid>
sourceUserId
string<uuid>
sinkAgentId
string<uuid>
tenantId
string<uuid>
validationReason
string
agentInfo
object
authDetails
object